Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jserv
Class JServConnection.JServInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--javax.servlet.ServletInputStream
                  |
                  +--org.apache.jserv.JServConnection.JServInputStream

protected class JServConnection.JServInputStream
extends javax.servlet.ServletInputStream

ServletInputStream implementation as inner class

Field Summary
`protected java.io.InputStream` | `in`
`protected int` | `length`

Fields inherited from class java.io.InputStream
`SKIP_BUFFER_SIZE, skipBuffer`

Constructor Summary
`JServConnection.JServInputStream(int length, java.io.InputStream in)`

Method Summary
`int` | `available()` We must implement this method because java.io.InputStream javadocs says that this will return 0.
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`long` | `skip(long len)`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### in

    protected java.io.InputStream in

### length

    protected int length

Constructor Detail

### JServConnection.JServInputStream

    public JServConnection.JServInputStream(int length,
                                            java.io.InputStream in)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### skip

    public long skip(long len)
              throws java.io.IOException

  Overrides:
    skip in class java.io.InputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.InputStream

### available

    public int available()
                  throws java.io.IOException

  We must implement this method because java.io.InputStream javadocs says that this will return 0. Since we use a long internally, it must be cast to an int. ugly. -JSS
  Overrides:
    available in class java.io.InputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD